/*
   File Name:

      Shape.h

   Created by:

      Allen Sherrod (Programming Ace of www.UltimateGameProgramming.com).

   Description:

      This file holds a base class that represents a shape.
*/


#ifndef SHAPE_H
#define SHAPE_H


#include"Ray.h"
#include"Sphere.h"
#include"Triangle.h"

#define SPHERE 1
#define TRIANGLE 2
#define PLANE 3


class Shape
{
   public:
      int type;
      Sphere *sphere;
      Triangle *triangle;
};

#endif


// Copyright February 2005
// All Rights Reserved!
// Allen Sherrod
// ProgrammingAce@UltimateGameProgramming.com
// www.UltimateGameProgramming.com